[failed to configure website XXXXXX to use ASP.NET 4.0。 For this site to work correctly, you must manually configure it to use ASP.NET 4.0] solutions to the problem

Recently, I was working on an MVC project using VS2010 (although it’s very old, but the company requires that there’s no way). When I opened this project with VS2010, I threw out a question:

The site could not be downloaded http://localhost : 2609/configured to use ASP.NET 4.0。 For this site to work correctly, you must manually configure it to use ASP.NET 4.0。 ASP.NET Not yet registered on the web server. You need to focus on ASP.NET 4.0 manually configure your web server to make your website run correctly.

 

 

After a variety of searches, it is found that the general reason is that this project uses ASP.NET4 Related things, but these things are not registered on VS2010 and related web servers. So, we need to register. How to register?It needs to be done by installing a patch. This patch is: vs10sp1-kb3002340-x86.exe, search the official website of this patch in Baidu or Google, and restart VS2010 after installation.


Read More: